Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 253)
+++ trunk/client/temi/tour/menu.php	(revision 254)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
@@ -169,5 +172,5 @@
 		
 		if ($genere>3){
-			if (!$circo && !$votog)	{
+			if (!$circo && !$votog && !$votoc)	{
 			    echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_candidato\">"._CONSI."</a></li>"; 
 			}
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 253)
+++ trunk/client/temi/yellowblu/menu.php	(revision 254)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
@@ -70,5 +73,5 @@
 	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
 		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
-	      ".substr($descrizione,0,31)."</a></li>";
+	      ".substr($descrizione,0,60)."</a></li>";
      		
 	    }
@@ -115,6 +118,6 @@
 	  if ($genere!=4) {
 	      if (!$circo and $num_circ>1)
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,33)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,50)."</a></li>";
 	  }
 
@@ -122,7 +125,7 @@
 			if ($genere>2) {
 				if (!$circo and $num_circ>1)
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,50)."</a></li>";
 				  
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,50)."</a></li>";
 
 			         
@@ -133,6 +136,6 @@
 				if (!$votoc){
 			      		if(!$circo and $num_circ>1)
-					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,33)."</a></li>";
-				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,33)."</a></li>";
+					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,50)."</a></li>";
+				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,50)."</a></li>";
 				
 			}
@@ -170,5 +173,5 @@
 		
 		if ($genere>3){
-			if (!$circo && !$votog)	{
+			if (!$circo && !$votog && !$votoc)	{
 			    echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_candidato\">"._CONSI."</a></li>"; 
 			}
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 253)
+++ trunk/install/sql/eleonline.sql	(revision 254)
@@ -361,4 +361,5 @@
   `vismf` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
   `solo_gruppo` enum('0', '1') NOT NULL default '0',
+  `disgiunto` enum('0', '1') NOT NULL default '0',
   PRIMARY KEY  (`id_cons`),
   UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`)
@@ -747,5 +748,5 @@
   `id_cons_gen` int(11) NOT NULL default '0',
   `orario` time NOT NULL default '00:00:00',
-  `data` date NOT NULL,
+  `data` date NOT NULL default '0000-00-00',
   KEY `id_cons_gen` (`id_cons_gen`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
@@ -898,5 +899,24 @@
 /*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
 LOCK TABLES `soraldo_ele_tipo` WRITE;
-INSERT INTO `soraldo_ele_tipo` VALUES (1,'PROVINCIALI','it',3,'0','0','0','0'),(2,'REFERENDUM','it',0,'0','0','0','0'),(3,'COMUNALI','it',5,'0','0','0','0'),(4,'CIRCOSCRIZIONALI','it',5,'0','0','0','1'),(5,'BALLOTTAGGIO COMUNALI','it',1,'0','0','0','0'),(6,'CAMERA','it',2,'0','0','0','0'),(7,'SENATO','it',2,'0','0','0','0'),(8,'EUROPEE','it',4,'1','0','0','0'),(9,'REGIONALI','it',5,'0','0','0','0'),(10,'SENATO CON GRUPPI','it',5,'1','0','1','0'),(11,'CAMERA CON GRUPPI','it',5,'1','0','1','0'),(12,'PROVINCIALI CON COLLEGI','it',3,'0','0','0','1'),(13,'BALLOTTAGGIO PROVINCIALI','it',1,'0','0','0','0'),(14,'EUROPEE CON COLLEGI','it',4,'0','0','0','1'),(15,'CAMERA CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(16,'SENATO CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(17,'REGIONALI CON COLLEGI','it',5,'0','0','0','1');
+INSERT INTO `soraldo_ele_tipo` VALUES 
+(1, 'PROVINCIALI', 'it', 3, '0', '0', '0', '0'),
+(2, 'REFERENDUM', 'it', 0, '0', '0', '0', '0'),
+(3, 'COMUNALI', 'it', 5, '0', '0', '0', '0'),
+(4, 'CIRCOSCRIZIONALI', 'it', 5, '0', '0', '0', '1'),
+(5, 'BALLOTTAGGIO COMUNALI', 'it', 1, '0', '0', '0', '0'),
+(6, 'CAMERA', 'it', 2, '0', '0', '0', '0'),
+(7, 'SENATO', 'it', 2, '0', '0', '0', '0'),
+(8, 'EUROPEE', 'it', 4, '1', '0', '0', '0'),
+(9, 'REGIONALI', 'it', 5, '0', '0', '0', '0'),
+(10, 'SENATO CON GRUPPI', 'it', 5, '1', '0', '1', '0'),
+(11, 'CAMERA CON GRUPPI', 'it', 5, '1', '0', '1', '0'),
+(12, 'PROVINCIALI CON COLLEGI', 'it', 3, '0', '0', '0', '1'),
+(13, 'BALLOTTAGGIO PROVINCIALI', 'it', 1, '0', '0', '0', '0'),
+(14, 'EUROPEE CON COLLEGI', 'it', 4, '0', '0', '0', '1'),
+(15, 'CAMERA CON GRUPPI E COLLEGI', 'it', 5, '1', '0', '1', '1'),
+(16, 'SENATO CON GRUPPI E COLLEGI', 'it', 5, '1', '0', '1', '1'),
+(17, 'REGIONALI CON COLLEGI', 'it', 5, '0', '0', '0', '1'),
+(18, 'CAMERA - Rosatellum 2.0', 'it', 5, '0', '0', '1', '0'),
+(19, 'SENATO - Rosatellum 2.0', 'it', 5, '0', '0', '1', '0');
 UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
@@ -964,4 +984,5 @@
   `voti` int(7) NOT NULL default '0',
   `nulli_lista` INT( 7 ) NOT NULL DEFAULT '0',
+  `solo_lista` INT( 7 ) NOT NULL DEFAULT '0',
   KEY `cons` (`id_cons`),
   KEY `id_lista` (`id_lista`),
@@ -989,5 +1010,5 @@
   `id_parz` int(11) NOT NULL auto_increment,
   `orario` time NOT NULL default '00:00:00',
-  `data` date NOT NULL,
+  `data` date NOT NULL default '0000-00-00',
   `voti_uomini` int(7) NOT NULL default '0',
   `voti_donne` int(7) NOT NULL default '0',
